Subject: Re: bug#76327: 29.4; random segfaults after switch to tree-sitter

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Feb 2025 18:13:43 +0200

> Date: Tue, 18 Feb 2025 18:09:45 +0300
> From: Evgeniy Dushistov <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > P.S. You could also try building the latest pretest of what will soon
> > become Emacs 30.1, maybe this problem was already fixed.  You can find
> > the pretest tarballs here:
> > 
> >     https://alpha.gnu.org/gnu/emacs/pretest/
> 
> I tried https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=emacs-git ,
> it built emacs from git rev 4cf53c436159ea54dbfe1a1e24515e2e6fbf9a6f,
> it is crashed after 1 day.

That's the development version from the master branch, it could be not
stable enough.  The pretest I mentioned above should be more stable.

> And it has annoying issue, then after C-x C-f I press "/" to open
> file via absolute path it eats "/",

Doesn't happen here, so this is very strange.